# SDL_gfxBlitInfo Struct Reference

The structure passed to the low level blit functions. More...

`#include <SDL_gfxBlitFunc.h>`

## Data Fields

Uint8 * | s_pixels
int | s_width
int | s_height
int | s_skip
Uint8 * | d_pixels
int | d_width
int | d_height
int | d_skip
void * | aux_data
SDL_PixelFormat * | src
Uint8 * | table
SDL_PixelFormat * | dst

## Detailed Description

The structure passed to the low level blit functions.

Definition at line 53 of file SDL_gfxBlitFunc.h.

## Field Documentation

void* aux_data

Definition at line 62 of file SDL_gfxBlitFunc.h.

int d_height

Definition at line 60 of file SDL_gfxBlitFunc.h.

Uint8* d_pixels

Definition at line 58 of file SDL_gfxBlitFunc.h.

int d_skip

Definition at line 61 of file SDL_gfxBlitFunc.h.

int d_width

Definition at line 59 of file SDL_gfxBlitFunc.h.

SDL_PixelFormat* dst

Definition at line 65 of file SDL_gfxBlitFunc.h.

int s_height

Definition at line 56 of file SDL_gfxBlitFunc.h.

Uint8* s_pixels

Definition at line 54 of file SDL_gfxBlitFunc.h.

int s_skip

Definition at line 57 of file SDL_gfxBlitFunc.h.

int s_width

Definition at line 55 of file SDL_gfxBlitFunc.h.

SDL_PixelFormat* src

Definition at line 63 of file SDL_gfxBlitFunc.h.

Uint8* table

Definition at line 64 of file SDL_gfxBlitFunc.h.

The documentation for this struct was generated from the following file:

- SDL_gfxBlitFunc.h